Loading...
Searching...
No Matches
gridfire::solver::GridSolverContext Struct Referencefinal

`#include <GridSolver.h>`

Inheritance diagram for gridfire::solver::GridSolverContext:
[legend]
Collaboration diagram for gridfire::solver::GridSolverContext:
[legend]

## Public Member Functions

void | init () override
void | reset ()
void | set_callback (const std::function< void(const TimestepContextBase &)> &callback)
void | set_callback (const std::function< void(const TimestepContextBase &)> &callback, size_t zone_idx)
void | clear_callback ()
void | clear_callback (size_t zone_idx)
void | set_stdout_logging (bool enable) override
void | set_detailed_logging (bool enable) override
| GridSolverContext (const engine::scratch::StateBlob &ctx_template)
Public Member Functions inherited from gridfire::solver::SolverContextBase
virtual | ~SolverContextBase ()=default

## Public Attributes

std::vector< std::unique_ptr< SolverContextBase > > | solver_workspaces
std::vector< std::function< void(const TimestepContextBase &)> > | timestep_callbacks
const engine::scratch::StateBlob & | ctx_template
bool | zone_completion_logging = true
bool | zone_stdout_logging = false
bool | zone_detailed_logging = false

## Constructor & Destructor Documentation

## GridSolverContext()

gridfire::solver::GridSolverContext::GridSolverContext | ( | const engine::scratch::StateBlob & | ctx_template | ) |

explicit

## Member Function Documentation

## clear_callback() [1/2]

void gridfire::solver::GridSolverContext::clear_callback | ( |  | ) |

## clear_callback() [2/2]

void gridfire::solver::GridSolverContext::clear_callback | ( | size_t | zone_idx | ) |

## init()

void gridfire::solver::GridSolverContext::init | ( |  | ) |

overridevirtual

Implements gridfire::solver::SolverContextBase.

## reset()

void gridfire::solver::GridSolverContext::reset | ( |  | ) |

## set_callback() [1/2]

void gridfire::solver::GridSolverContext::set_callback | ( | const std::function< void(const TimestepContextBase &)> & | callback | ) |

## set_callback() [2/2]

void gridfire::solver::GridSolverContext::set_callback | ( | const std::function< void(const TimestepContextBase &)> & | callback,
|  | size_t | zone_idx )

## set_detailed_logging()

void gridfire::solver::GridSolverContext::set_detailed_logging | ( | bool | enable | ) |

overridevirtual

Implements gridfire::solver::SolverContextBase.

## set_stdout_logging()

void gridfire::solver::GridSolverContext::set_stdout_logging | ( | bool | enable | ) |

overridevirtual

Implements gridfire::solver::SolverContextBase.

## Member Data Documentation

## ctx_template

const engine::scratch::StateBlob& gridfire::solver::GridSolverContext::ctx_template

## solver_workspaces

std::vector<std::unique_ptr<SolverContextBase> > gridfire::solver::GridSolverContext::solver_workspaces

## timestep_callbacks

std::vector<std::function<void(const TimestepContextBase&)> > gridfire::solver::GridSolverContext::timestep_callbacks

## zone_completion_logging

bool gridfire::solver::GridSolverContext::zone_completion_logging = true

## zone_detailed_logging

bool gridfire::solver::GridSolverContext::zone_detailed_logging = false

## zone_stdout_logging

bool gridfire::solver::GridSolverContext::zone_stdout_logging = false

The documentation for this struct was generated from the following files:

- src/include/gridfire/solver/strategies/GridSolver.h
- src/lib/solver/strategies/GridSolver.cpp